#ifndef STORM_H
#define STORM_H

#include <kos.h>
#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>
#include <SDL/SDL_image.h>

#define FADE_IN 0
#define FADE_OUT 1

#ifndef DATA_PREFIX
#define DATA_PREFIX "/rd/"
#endif

extern uint8 romdisk[];

extern SDL_Surface* intro_img1, * intro_img2, * intro_img3;
extern SDL_Surface* screen, *warning, *title_vdc;

extern Mix_Music * stormfx;

void do_intro();
void fade_screen( int type, int time );
void vmu_lcd_update();
void save_vdc(int score, int high);
void load_vdc(int *score, int *high);
void storm_data();
int credits();

#endif
